aboutsummaryrefslogtreecommitdiff
path: root/package/luaposix
diff options
context:
space:
mode:
authorGravatar Arnout Vandecappelle <arnout@mind.be>2017-02-23 18:00:37 +0100
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2017-03-02 22:57:11 +0100
commit8bd2e2f3194b5e73680dc16555a7a77b73e2c3ff (patch)
treee82653347d763f7a444cd6c93647a1d492c182f2 /package/luaposix
parent276f4fd56208fc496f5c5739d347fbd05bba7108 (diff)
downloadbuildroot-8bd2e2f3194b5e73680dc16555a7a77b73e2c3ff.tar.gz
buildroot-8bd2e2f3194b5e73680dc16555a7a77b73e2c3ff.tar.bz2
luaposix: fix runtime by selecting "bit32" instead of "bitop"
Since the bump of luaposix to 33.4.0, it doesn't work anymore at runtime with LuaJIT or Lua 5.1. This can be tested with the following defconfig: BR2_x86_64=y BR2_TOOLCHAIN_EXTERNAL=y BR2_PACKAGE_LUA=y BR2_PACKAGE_LUA_5_1=y BR2_PACKAGE_LUAPOSIX=y /usr/bin/lua: /usr/share/lua/5.1/posix/init.lua:17: module 'bit32' not found: ... In older luaposix versions, it would try to load the 'bit' instead of 'bit32' module if LUAVER == 5.1. However, this feature was removed in 33.4.0. So instead of adding a runtime dependency on luabitop, depend on lua-bit32. Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/luaposix')
-rw-r--r--package/luaposix/Config.in6
1 files changed, 4 insertions, 2 deletions
diff --git a/package/luaposix/Config.in b/package/luaposix/Config.in
index 9707cdeeff..91abcb9e32 100644
--- a/package/luaposix/Config.in
+++ b/package/luaposix/Config.in
@@ -1,8 +1,10 @@
config BR2_PACKAGE_LUAPOSIX
bool "luaposix"
depends on BR2_PACKAGE_HAS_LUAINTERPRETER
- select BR2_PACKAGE_LUABITOP if BR2_PACKAGE_LUA_5_1
- # LuaBitOp is already included in LuaJIT
+ # "bit32" is included in Lua 5.2+. luajit has an equivalent
+ # "bit" module, but since it has a different name, luaposix
+ # doesn't find it.
+ select BR2_PACKAGE_LUA_BIT32 if BR2_PACKAGE_LUA_5_1 || BR2_PACKAGE_LUAJIT
help
This is a POSIX binding for LuaJIT, Lua 5.1, 5.2 and 5.3;
like most libraries it simply binds to C APIs on the